using System.Collections.Generic;
using DialogueSystem;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.Video;

namespace Tutorials
{
    
    [CreateAssetMenu(fileName = "Tutorial", menuName = "ScriptableObjects/TutorialScriptableObject")]
    public class TutorialScriptableObject : ScriptableObject
    {
        [Tooltip("Enter the header Text here:")]
        [TextArea(3, 10)]
        public string headerText;
        
        [Tooltip("Enter the content of the tutorial here. This will be displayed on the left side of the book.")]
        [TextArea(5, 15)]
        public List<string> contentText;
        
        [Tooltip("Add tutorial clips here if needed. Videos will be displayed on the right side of the book.")]
        public List<VideoClip> tutorialClips;

        [Tooltip("Currently tutorials are coupled to triggerActions, which are coupled to the SpawnHazards script.\n" +
                 "Hazards are spawned after an action has been done.\n" +
                 "Enter the actions that you want to trigger this tutorial.")]
        public List<string> triggerActions;

    }
}